<template>
  <div class="rounded-md border-gray-200 border h-full">
    <div class="bg-gray-200 w-full h-10 flex items-center">
      <h3 class="ml-2 items-center">{{ name }}</h3>
    </div>
    <div class="px-2 grid justify-items-center">
      <img
        :src="src"
        class="
          shadow
          rounded-full
          max-w-full
          h-48
          sm:h-auto
          w-atuo
          align-middle
          border-none
          my-4
        "
      />
    </div>
    <div class="w-full pl-4">
      <strong>Breed</strong>: <span class="pet-breed">{{ breed }}</span
      ><br />
      <strong>Age</strong>: <span class="pet-age">{{ age }}</span
      ><br />
      <strong>Location</strong>: <span class="pet-location">{{ location }}</span
      ><br />
    </div>
    <div class="w-full pb-1 px-1 mt-0 sm:mt-4 mb-1 sm:mb-0">
      <button
        class="w-full block text-white rounded py-2"
        :class="adopted ? 'bg-green-600' : 'bg-blue-600 hover:bg-blue-700'"
        type="button"
        @click="adopted ? unAdopt({ id: id }) : adopt({ id: id })"
      >
        {{ adopted ? 'Success' : 'Adopt' }}
      </button>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  props: {
    id: {
      type: Number,
      require: true,
      default: 0,
    },
    adopted: {
      type: Boolean,
      require: true,
      default: false,
    },
    src: {
      type: String,
      require: true,
      default:
        'https://animalso.com/wp-content/uploads/2017/01/Golden-Retriever_6.jpg',
    },
    name: {
      type: String,
      require: true,
      default: 'Scrappy',
    },
    breed: {
      type: String,
      require: true,
      default: 'Golden Retriever',
    },
    age: {
      type: Number,
      require: true,
      default: 3,
    },
    location: {
      type: String,
      require: false,
      default: 'Lisco, Alabama',
    },
  },
  methods: {
    ...mapActions({
      unAdopt: 'wallet/unAdopt',
      adopt: 'wallet/adopt',
    }),
  },
}
</script>
